package de.intevation.flys.client.shared.model;

import java.io.Serializable;

import java.util.List;
import java.util.ArrayList;


/**
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class CollectionItemAttribute implements Serializable {

    protected List<Style> styles;

    protected String artifact;

    public CollectionItemAttribute() {
        styles = new ArrayList<Style>();
    }

    public void appendStyle (Style style) {
        this.styles.add(style);
    }

    public void removeStyle (String name) {
        for (int i = 0; i < styles.size(); i++) {
            if (styles.get(i).getName().equals(name)) {
                styles.remove(i);
            }
        }
    }

    public Style getStyle(String facet) {
        for (int i = 0; i < styles.size(); i++) {
            if (styles.get(i).getFacet().equals(facet)) {
                return styles.get(i);
            }
        }
        return null;
    }

    public Style getStyle(int i) {
        return styles.get(i);
    }

    public int getNumStyles() {
        return styles.size();
    }

    public void setArtifact(String artifact) {
        this.artifact = artifact;
    }

    public String getArtifact () {
        return this.artifact;
    }
}
